For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate manual verification screening
      • POSTCreate Veriff session
      • GETGet entity screening details
      • GETGet verification method
      • GETGet worker's KYC details
LogoLogo
SupportDeel Home
EndpointsScreenings

Get entity screening details

GET
/screenings/aml/:entity_type/:entity_id
GET
/rest/v2/screenings/aml/:entity_type/:entity_id
$curl https://api.letsdeel.com/rest/v2/screenings/aml/profile/Public%20UUID%20of%20the%20entity \
> -H "Authorization: Bearer <token>"
1{
2 "result": "ACCEPT",
3 "entity_id": "UUID of a profile",
4 "entity_type": "profile",
5 "detailed_results": {
6 "pep": "PASS",
7 "sanctions": "PASS",
8 "adverse_media": "PASS"
9 }
10}

Returns the most recent AML screening result for the specified entity. The entity_type must be one of profile, hris_profile, or legal_entity. Token scopes: screenings:read

Was this page helpful?
Previous

Get verification method

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

entity_typeenumRequired

The type of entity to screen. Only ‘profile’, ‘hris_profile’, ‘legal_entity’ are accepted.

Allowed values:
entity_idstringRequiredformat: "uuid"
UUID v4 of the entity

Response

Details of the screening request for the specified entity type and ID.
resultenum
The result of the screening. ACCEPT means the screening passed, REJECT means it failed, and REFERRED means it is pending further review.
Allowed values:
entity_idstring
UUID of the entity.
entity_typeenum
The type of entity being screened.
Allowed values:
detailed_resultsobject
Details of checks performed for this screening.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/